
/* LIBSSSD PROTOS FOR AMIGADE */

extern int sssd_startAudio( struct sssdaudio* ga, const char* device_name ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_startAudio"
));
extern int sssd_stopAudio( struct sssdaudio* ga ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_stopAudio"
));
extern void sssd_pauseAudio( struct sssdaudio* ga ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_pauseAudio"
));
extern void sssd_unpauseAudio( struct sssdaudio* ga ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_unpauseAudio"
));

extern int sssd_copySampleStereo( struct sssdaudio* ga, void* data, int channels, int freq, int bits, int samples, int flags ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_copySampleStereo"
));

extern int sssd_registerSample( struct sssdaudio* ga,void *sampledata, int channels, int freq, int bits, int samples, int flags) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_registerSample"
));

extern int sssd_playSamplePP( struct sssdaudio* ga, int sample_id, int flags, int repeat_count, int volume, int pan, int playStart, int playEnd, int loopStart, int loopEnd, int priorityQueue ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_playSamplePP"
));
extern void sssd_stopSample( struct sssdaudio* ga, int sample_id ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_stopSample"
));
extern void sssd_stopAllSamples( struct sssdaudio* ga ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_stopAllSamples"
));
extern int sssd_blockUntilComplete(struct sssdaudio *ga, int playing_id) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_blockUntilComplete"
));
extern int sssd_blockUntilSample(struct sssdaudio *ga, int playing_id, int sample_num) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_blockUntilSample"
));
extern int sssd_timePlaying(struct sssdaudio *ga, int playing_id) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_timePlaying"
));

extern int sssd_ctrlSample( struct sssdaudio* ga, int sample_id, int *ctrlParms) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_ctrlSample"
));
extern int sssd_ctrlDevice( struct sssdaudio* ga, float *ctrlParms) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_ctrlDevice"
));
extern int sssd_ctrlBackground( struct sssdaudio* ga, char *command) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_ctrlBackground"
));

extern int sssd_playBackground( struct sssdaudio* ga, const char* filename, int flags, char * user_args) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_playBackground"
));
extern void sssd_stopBackground( struct sssdaudio* ga ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_stopBackground"
));
extern int sssd_checkBackground( struct sssdaudio* ga ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_checkBackground"
));
extern float sssd_timeBackground( struct sssdaudio* ga ) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_timeBackground"
));

extern void sssd_freeSamples(struct sssdaudio *ga) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_freeSamples"
));

extern struct sssdaudio* sssd_initAudio(int channels, int freq, int bits, int max_voices, int max_samples, int buffersize, int numbuffers, int flags) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_initAudio"
));
extern void sssd_freeAudio(struct sssdaudio *ga) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_freeAudio"
));

extern int sssd_getAudioInfo(struct sssdaudio *ga, int *stats, int numItems) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_getAudioInfo"
));
extern char *sssd_getSystemInfo(char *buffer, int sizeOfBuffer) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_getSystemInfo"
));
extern int sssd_testLatency(struct sssdaudio *ga) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_testLatency"
));

extern int sssd_suspend(struct sssdaudio *ga) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_suspend"
));
extern int sssd_resume(struct sssdaudio *ga, const char* device_name) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_resume"
)); 

extern int sssd_resample(struct sssdaudio *ga, short *insamp, int infreq, int insize, int inchannels, short *outdata, int outfreq, int flags) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_resample"
));

extern void* sssd_getBuffer(struct sssdaudio *ga) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_getBuffer"
));

extern void sssd_sendBuffer(struct sssdaudio *ga, int bufnum) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_sendBuffer"
));

extern int sssd_isBufferPlaying(struct sssdaudio *ga, int bufnum) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_isBufferPlaying"
));

extern int sssd_isPlaying(struct sssdaudio *ga, int playing_id) __attribute__
((
	"qcall ami/sys/audio/sssd/sssd_isPlaying"
));
