#include "sssd.h"
#include "internals.h"

/*
    Return if a sample is currently playing
*/
int sssd_isPlaying(struct sssdaudio *ga, int playing_id)
{
	if (ga)
	{
	    struct ga_playing* curplaying;
		int i;

	    curplaying = ga->playing;

		LOCK_BUFFERS(ga);

	    // Loop through playlist and find entry that matches playing id
	    for(i = ga->num_playing; --i>= 0; ++curplaying)
	    {
	    	if (curplaying->playing_id == playing_id)
				break;
	    }

	    UNLOCK_BUFFERS(ga);
		return (i >= 0);
	}
	return 0;
}
