
#include "sssd.h"
#include "internals.h"

int sssd_playBackground( struct sssdaudio* ga, const char* filename, int flags, char *user_args )
{
    char commandname[ FILENAME_MAX + 60 ];
    char extra_args[32];
    
    if( ! audioValid( ga ) || audioPaused( ga ) ) {
        ga->lastERR=ERR_NOT_INITIALIZED;
        return ERR_NOT_INITIALIZED;
    }
    
    LOCK_BUFFERS(ga);

    extra_args[0]=0;    
    if(ga->channels==1) strcat(extra_args,"--mono");
    else strcat(extra_args,"--stereo");
    
    if(ga->bits==8) strcat(extra_args," -8bit");
    
    if(user_args!=NULL) {
      strcat(extra_args," ");
      strcat(extra_args,user_args);
    }
    
    sprintf( commandname, "%s -s -q -r %d %s %s",
             BACKGROUND_MOD_PLAY_CMD, ga->freq, extra_args, filename );

    if( ga->background_stream != NULL )
        pclose( ga->background_stream );

    ga->background_stream_bytes=0;
    
#ifdef __LINUX__
    if( (ga->background_stream = popen(commandname,"r")) == NULL )
    {
#ifndef __NOPRINTING__
        fprintf( stderr, "sssd: popen(%s) error\n",commandname );
#endif
	ga->lastERR=ERR_BKG_START;
	return ERR_BKG_START;
    }
#endif  /* LINUX */

    UNLOCK_BUFFERS(ga);

ga->lastERR=0;
return 0;
}

