
#include "sssd.h"
#include "internals.h"


#define VAARGS_FLOAT_TYPE double
#define VAARGS_FLOAT_POINTER_TYPE double *

int sssd_ctrlDevice( struct sssdaudio* ga, float *argArray)
{
    int parm;
    struct WinPlatformData *pdata;
      
    /* Vars needed for Linux */
    int mixer_fd=0;

    /* Values that we know about */
    float unknown=-1;
    float volume=-1;
    float pan=-1;
    
    /* Clear error status */
    ga->lastERR=0;
	
    if(argArray!=NULL) {
    
      while((int)*argArray!=CTRL_D_END) {
        parm=(int)*argArray;argArray++;
        if(parm==CTRL_D_VOLUME) {
	   volume=(float)*argArray;
	}
	else
	if(parm==CTRL_D_PAN) {
	   pan=(float)*argArray;
	}
	else {
	   ga->lastERR=ERR_DEVICE_UNKNOWN;
	   unknown=(float)*argArray;
	}
        argArray++;

      }      
    }
    /* Check to make sure we have something to change */
    if(volume==-1 && pan==-1) return ga->lastERR;
    
    pdata=(struct WinPlatformData *)ga->platformData;


    /* Change master volume */
    if(volume!=-1)
    {
      unsigned int vol=(unsigned int)((float)volume*0xFFFF);
      vol|=(vol<<16);
      waveOutSetVolume(pdata->hWaveOut,vol);
    }
        
    /* Change master pan */
    if(pan!=-1)
    {
      int lpan,rpan,avol,lvol,rvol;
	  unsigned int ovol;
      
      waveOutGetVolume(pdata->hWaveOut, &ovol);
      lvol=(ovol&0xFFFF);
      rvol=((ovol>>16)&0xFFFF);            
      avol=MAX(lvol,rvol);
      lpan=rpan=avol;
      if(pan>.5) lpan=(int)(avol*(1-(float)(pan-.5)*2));
      if(pan<.5) rpan=(int)(avol*((float)pan*2));
      ovol=((rpan&0xFFFF)<<16)|(lpan&0xFFFF);
      waveOutSetVolume(pdata->hWaveOut,ovol);    
    }    
    
    
return ga->lastERR;
}
